Name:           cura
Version:        13.11.2
Release:        1%{?dist}
Summary:        3D printer control software

# Code is AGPLv3
# Icons AGPLv3 https://github.com/daid/Cura/issues/231#issuecomment-12209683
# Example models are CC-BY-SA
License:        AGPLv3 and CC-BY-SA

URL:            http://daid.github.com/Cura/

# I've stripped the source with the script in Source3
# To remove CC BY-NC content and bundled pypy binaries
# Already asked upstream to include free package
Source0:        Cura-%{version}-fedora.tar.gz
Source1:        %{name}
Source2:        %{name}.desktop
Source3:        %{name}-stripper.sh

# SyntaxError: from __future__ imports must occur at the beginning of the file
Patch0:         %{name}-future-import-first.patch

# Use systems CuraEngine
Patch1:         %{name}-CuraEngine.patch

# UltimakerPlatforms STLs were stripped from the tarball, don't crash because of that
Patch2:         %{name}-dont-show-nc-stls.patch

# FIX: Cura crashes when Ultimaker2 is chosen
# https://github.com/daid/Cura/commit/7884cd29c46d270c5e101f5ddb2c122ad513fe43
Patch3:         %{name}-ultimaker2-crash.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  dos2unix
BuildRequires:  desktop-file-utils
Requires:       PyOpenGL
Requires:       wxPython
Requires:       pyserial
Requires:       numpy
Requires:       python-power
Requires:       pypy
Requires:       ultimaker-marlin-firmware >= 13
Requires:       ultimaker2-marlin-firmware >= 13.11-2
Requires:       CuraEngine >= 13.11.2

%description
Cura is a project which aims to be an single software solution for 3D printing.
While it is developed to be used with the Ultimaker 3D printer, it can be used
with other RepRap based designs.

Cura helps you to setup an Ultimaker, shows your 3D model, allows for scaling /
positioning, can slice the model to G-Code, with sane editable configuration
settings and send this G-Code to the 3D printer for printing.

%prep
%setup -qn Cura-%{version}/Cura
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p2

dos2unix resources/example/Attribution.txt

%build
# do nothing

%install
mkdir -p %{buildroot}%{python_sitelib}/Cura
mkdir -p %{buildroot}%{_datadir}/%{name}/firmware
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_bindir}

cp -apr * %{buildroot}%{python_sitelib}/Cura
rm -rf %{buildroot}%{python_sitelib}/Cura/{LICENSE,version,resources}
cp -apr resources/* %{buildroot}%{_datadir}/%{name}
cp -ap %{SOURCE1} %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name} %{buildroot}%{python_sitelib}/Cura/resources
ln -s %{_datadir}/%{name}/%{name}.ico %{buildroot}%{_datadir}/pixmaps
for FILE in 250000-dual.hex 115200-dual.hex 250000.hex 115200.hex; do
  ln -s ../../ultimaker-marlin-firmware/MarlinUltimaker-$FILE %{buildroot}%{_datadir}/%{name}/firmware/
done
ln -s ../../ultimaker2-marlin-firmware/MarlinUltimaker2.hex %{buildroot}%{_datadir}/%{name}/firmware/

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

%files
%doc LICENSE resources/example/Attribution.txt
%{python_sitelib}/Cura
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.ico
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}

%changelog
* Sat Dec 14 2013 Miro Hrončok <mhroncok@redhat.com> - 13.11.2-1
- New version 13.11.2

* Wed Oct 16 2013 Miro Hrončok <mhroncok@redhat.com> - 13.10-1
- New upstream release with CuraEngine

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Miro Hrončok <mhroncok@redhat.com> - 13.04-2
- Remove resources directory before trying to create a symlink there

* Sat May 04 2013 Miro Hrončok <mhroncok@redhat.com> - 13.04-1
- New upstream release
- Fixed missing slice module

* Sat Apr 20 2013 Miro Hrončok <mhroncok@redhat.com> - 13.03-1
- New upstream release

* Tue Feb 19 2013 Miro Hrončok <mhroncok@redhat.com> - 12.12-3
- chmod 755 cura-stripper.sh
- Use firmware from ultimaker-marlin-firmware package
- removed bundling note

* Sun Jan 20 2013 Miro Hrončok <mhroncok@redhat.com> - 12.12-2
- Launcher is in Python now

* Sun Jan 13 2013 Miro Hrončok <mhroncok@redhat.com> - 12.12-1
- First version

